Posts by maxman

    Tried it and 1.st attempt:

    Code
    Checking all RRD files. Please wait ...
    All RRD database files are valid.
    monit: action failed -- Other action already in progress -- please try again later


    Few moments later:

    Code
    Checking all RRD files. Please wait ...
    All RRD database files are valid.


    Graphs in System Information/Status are good. But when manually refresh any graph - same error as above (hang on ERROR: No DS called 'value' in '/var/lib/rrdcached/db//localhost/nut-ups/percent-charge.rrd')

    Checked graphs for UPS and they are not visible.
    When I refresh:

    Code
    Failed to execute command 'omv-mkgraph 2>&1': ERROR: No DS called 'value' in '/var/lib/rrdcached/db//localhost/nut-ups/percent-charge.rrd'
    Error #4000:
    exception 'OMVException' with message 'Failed to execute command 'omv-mkgraph 2>&1': ERROR: No DS called 'value' in '/var/lib/rrdcached/db//localhost/nut-ups/percent-charge.rrd'' in /usr/share/openmediavault/engined/rpc/rrd.inc:65
    Stack trace:
    #0 [internal function]: OMVRpcServiceRrd->generate(NULL, Array)
    #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
    #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('generate', NULL, Array)
    #3 /usr/sbin/omv-engined(501): OMVRpc::exec('Rrd', 'generate', NULL, Array, 1)
    #4 {main}


    Only VARIABLES tab is functional

    I tried different usb port but still not working.
    Also tried to uninstall and reinstall nut - NOTHING.


    BUT.... When i try "upsdrvctl start" in CLI - it WORKED!
    How it is possible - I do not know when few posts before was error after this.

    APC Back-UPS CS 500
    On OMV 0.5 with this config were all OK


    dpkg -l | grep nut

    Code
    ii binutils 2.22-8 amd64 GNU assembler, linker and binary utilities
    ii bsdmainutils 9.0.3 amd64 collection of more utilities from FreeBSD
    ii debianutils 4.3.2 amd64 Miscellaneous utilities specific to Debian
    ii libcurl3-gnutls:amd64 7.26.0-1+wheezy10 amd64 easy-to-use client-side URL transfer library (GnuTLS flavour)
    ii libgnutls26:amd64 2.12.20-8+deb7u2 amd64 GNU TLS library - runtime library
    ii libneon27-gnutls 0.29.6-3 amd64 HTTP and WebDAV client library (GnuTLS enabled)
    ii nut 2.6.4-2.3+deb7u1 all network UPS tools - metapackage
    ii nut-client 2.6.4-2.3+deb7u1 amd64 network UPS tools - clients
    ii nut-server 2.6.4-2.3+deb7u1 amd64 network UPS tools - core system
    ii openmediavault-nut 1.0.2 all OpenMediaVault Network UPS Tools (NUT) plugin

    ups.cfg

    Code
    [ups]
    driver=usbhid-ups
    port=auto


    When i try: upsdrvctl start

    Code
    Network UPS Tools - UPS driver controller 2.6.4
    Network UPS Tools - Generic HID driver 0.37 (2.6.4)
    USB communication driver 0.32
    Can't claim USB device [051d:0002]: could not detach kernel driver from interface 0: Operation not permitted
    Driver failed to start (exit status=1)


    lsusb

    Code
    Bus 001 Device 002: ID 8087:8008 Intel Corp.
    Bus 002 Device 002: ID 8087:8000 Intel Corp.
    Bus 003 Device 080: ID 051d:0002 American Power Conversion Uninterruptible Power Supply
    Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
    Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
    Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
    Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub


    ls -l /dev/bus/usb/003/080

    Code
    crw-rw-r-T 1 root root 189, 335 Sep 21 17:48 /dev/bus/usb/003/080

    Disabling + re-enabling, uninstall and re-install - nothing helped.


    UPS log:

    Snapraid and Virtualbox configured and working. MySQL is working too.
    But have problem with NUT and PyLoad.


    NUT:
    after configured it like on OMV 0.5:

    Code
    Failed to execute command 'upsc 'ups' 2>&1': Error: Driver not connected
    Error #4000:
    exception 'OMVException' with message 'Failed to execute command 'upsc 'ups' 2>&1': Error: Driver not connected' in /usr/share/openmediavault/engined/rpc/nut.inc:151
    Stack trace:
    #0 [internal function]: OMVRpcServiceNetworkUPSTools->getStats(NULL, Array)
    #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
    #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('getStats', NULL, Array)
    #3 /usr/sbin/omv-engined(501): OMVRpc::exec('Nut', 'getStats', NULL, Array, 1)
    #4 {main}


    PyLoad is installed via webgui but after entering nas:8888 no webpage is visible (webpage is not avaiable)

    apt-get -f install

    My blind eyes....
    I forgot to install omv-extras......
    Now installed and updated


    But after apt-get upgrade:

    Code
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
    openmediavault-mysql openmediavault-snapraid virtualbox-4.3
    0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.


    Must it install manually via web gui?


    Now I have SnapRaid 0.6.2-squeeze - why?
    Virtualbox is not in active plugins - used it on OMV 0.5 for mail VM and now i cannot use mails

    Meanwhile I rebooted my NAS and had some problems with grub - SOLVED
    Now I am on OMV 1 but lost my plugins (virtualbox, pyload ...) and my samba share is not working


    cat /etc/apt/sources.list


    cat /etc/apt/apt.conf

    Code
    #APT::Default-Release "stable";
    APT::Install-Recommends "false";
    APT::Install-Suggests "false";
    APT::Default-Release "wheezy";


    I edit apt.conf (had squeeze on *Release)

    When i upgrade OMV 0.5.59 to OMV 1 via omv-release-upgrade i get this errors:



    I fear to restart my machine.
    Web gui is working now (OMV 1) but i do not see my plugins I have before (VIRTUALBOX). And also noticed that I have only SNAPRAID 0.6.2 for squeeze.


    dpkg -l | grep openmediavault

    After I tried update OMVExtrasorg_0.6.25 via CLI i get this error:


    Code
    dpkg: regarding openmediavault-omvextrasorg_0.6.25_all.deb containing openmediavault-omvextrasorg:
    openmediavault-omvextrasorg conflicts with openmediavault-supportinfo
    openmediavault-supportinfo (version 0.5.12) is present and installed.
    dpkg: error processing openmediavault-omvextrasorg_0.6.25_all.deb (--install):
    conflicting packages - not installing openmediavault-omvextrasorg
    Errors were encountered while processing:
    openmediavault-omvextrasorg_0.6.25_all.deb


    In webgui - update manager I do not see no new version. I have now omvextrasorg 0.6.22.1

    OK but how can I set scheduled tests for my disks when I can`t access webinterface? Can I somehow set it?


    EDIT:
    I noticed when open 'SCHEDULED TESTS' my CPU usage is 100% with process php5 under user openmedi

    Hi,


    when i open SMART/scheduled tests after few seconds have error message:


    An error has occured
    communication failure


    There are no scheduled tests. I had set some tests for my diskd but now are gone and this tab is not working.
    I have OMV 0.5.45 - kernel 3.2


    Support info:


    Thank you for any help.

    These lines I add after fresh install OMV - have problems with my realtek ethernet driver. Then almost 2 months OMV run without this error.


    But have problem now with editing sources.list


    I can edit but with this: /etc/apt/sources.list: Permission denied


    Used nano /etc/apt/sources.list as root. Deleted 3 lines and exit. When i type Y in save dialog - PERMISSION DENIED.


    How can I save edited file?

    I did not add any new repo last days.


    cat /etc/apt/sources.list


    cat /etc/apt/sources.list.d/omv-extras-org-sardaukar.list